1

Topic: E: Package 'Ripole' + 'Python-webpy' no installation candidate?

Newbie to Linux simply trying to install

iRedMail-0.9.9

on

Ubuntu Desktop 19.04

returns this error ...ideas to fix around?

@mx:~/iRedMail-0.9.9$ sudo bash iRedMail.sh
awk: cannot open /etc/ssh/sshd_config (No such file or directory)
awk: cannot open /etc/ssh/sshd_config (No such file or directory)
'universe' distribution component is already enabled for all sources.
[ INFO ] Checking configuration file: /home/*****/iRedMail-0.9.9/config ... [FOUND]
< Question > Use it for mail server setting? [y|N]y
[ INFO ] Use config file: /home/*****/iRedMail-0.9.9/config for mail server setting.
[ INFO ] Import installation process status from file: /home/****/iRedMail-0.9.9/runtime/install.status.
[ INFO ] Installing package(s): postfix postfix-pcre libsasl2-modules mysql-client mysql-server postfix-mysql libdbd-mysql-perl php-cli php-fpm php-json php-gd php-curl mcrypt php-intl php-xml php-mbstring php-mysql nginx-full dovecot-imapd dovecot-pop3d dovecot-lmtpd dovecot-managesieved dovecot-sieve dovecot-mysql amavisd-new libcrypt-openssl-rsa-perl libmail-dkim-perl clamav-freshclam clamav-daemon spamassassin altermime arj nomarch cpio lzop cabextract p7zip-full rpm ripole libmail-spf-perl unrar-free pax lrzip mlmmj python-sqlalchemy python-dnspython python-mysqldb python-pymysql python-jinja2 python-netifaces python-webpy python-beautifulsoup python-lxml python-pycurl python-requests uwsgi uwsgi-plugin-python python-bcrypt fail2ban zlib1g libuuid1 libmnl0 curl lm-sensors netcat bzip2 acl patch cron tofrodos logwatch unzip bsdutils liblz4-tool
Reading package lists...
Building dependency tree...
Reading state information...
Package ripole is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

Package python-webpy is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'ripole' has no installation candidate
E: Package 'python-webpy' has no installation candidate
<< ERROR >> Installation failed, please check the terminal output.
<< ERROR >> If you're not sure what the problem is, try to get help in iRedMail
<< ERROR >> forum: https://forum.iredmail.org/

2

Re: E: Package 'Ripole' + 'Python-webpy' no installation candidate?

Please use Ubuntu 18.04 LTS instead.
19.04 is not LTS and will be End-Of-Life in 6 months.

----

Does my reply help a little? How about buying me a cup of coffee ($5) as an encouragement?

buy me a cup of coffee